obdgpslogger(1)

NAME
obdgpslogger - Log OBD and GPS data to sqlite

SYNOPSIS
obdgpslogger [ options ]

DESCRIPTION
This is a tool to log OBDII and GPS data to an sqlite database

OPTIONS

-s|--serial <serialport>
    Open this serial port device to connect to the elm327 device.

-c|--count <count>
    Take this many samples at most. Leaving this option out defaults to incessant sampling.

-u|--output-log <filename>
    Redirect stdout and stderr to this file

-l|--serial-log <filename>
    Log all serial comms into this file.

-a|--samplerate <samples-per-second>
    Sample at most this many times a second. The software will sleep temporarily at the end of each loop if appropriate. Keep in mind there is an upper limit to samplerate, typically capped by I/O on your serial port. Set this to zero to sample as fast as possible. BE WARNED. Values greater than ten here are forbidden for cars predating April 2002. If you think your car postdates early 2002, and you'd like to sample as fast as possible, the -o option may help

-o|--enable-optimisations
    Enable certain elm327 optimisations. This will [usually] make sampling faster [not a noticeable amount if you're only sampling once a second], but makes it much easier to accidentally disobey the standard if you're sampling as fast as possible.

-p|--capabilities
    Dump the commands your OBD device claims to support to stdout, then exit.

-m|--daemonise
    Convert the program to a background daemon after successfully initialising.

-B|--modifybaud [rate]
    Attempt to upgrade baudrate to rate. If rate isn't specified, we'll just take a few guesses and go with what works.

-b|--baud <rate>
    Attempt to set serial port baudrate to this after launching. Passing zero tells it to try and guess, or -1 to not try changing at all.

-d|--db <database>
    Open this database to log data to. The software will create the database if it does not exist, and create the tables it needs.

-i|--log-columns <column names>
    Comma-separated list of column names. These are the short names listed when you use "-p" to get your car's capabilities

-v|--version
    Print out version number and exit.

-h|--help
    Print out help and exit.

NOT OPTIONS
These options are not intended to be used by end users using the command line, they are support options for the GUI component. Use or rely on them at your own peril.

-t|--spam-stdout
    Write all readings to stdout. The format is unlikely to change in practice, but if you choose to try to parse this yourself, I don't want to hear about it when it does change.

SEE ALSO
obd2kml(1), obd2csv(1), obd2gpx(1), obdsim(1), obdgui(1), obdlogrepair(1), obdftdipty(1), dot-obdgpslogger(5)

AUTHORS
Gary "Chunky Ks" Briggs <chunky@icculus.org>